A call request's progress
curl --request GET \
--url https://{host}/api/v1/call-requests/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/v1/call-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/api/v1/call-requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"call_uuid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"failure": "<string>",
"has_callback": true,
"id": "<string>",
"kind": "click_to_call",
"reference": "<string>",
"status": "dialing",
"to": "<string>",
"variables": {}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}Live
A call request's progress
What an API-placed call is doing: dialing, connected (with call_uuid), completed, or failed (with failure). Requires calls:read.
A call request's progress
curl --request GET \
--url https://{host}/api/v1/call-requests/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/v1/call-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/api/v1/call-requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"call_uuid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"failure": "<string>",
"has_callback": true,
"id": "<string>",
"kind": "click_to_call",
"reference": "<string>",
"status": "dialing",
"to": "<string>",
"variables": {}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}Authorizations
Every request sends Authorization: Bearer <token>. The token is either a panel session (a JWT from /auth/login, 12 hours) or an API key ft_<id>_<secret>. An API key is accepted only from an address on its IP allowlist (403 ip_not_allowed otherwise; 403 ip_allowlist_required for an old key that has none), is limited to its rate per minute (429 rate_limited with Retry-After; X-RateLimit-Limit/Remaining/Reset on every response), and at most 60 call placements a minute.